/user/api/v1/servicePoints/{id}/anycast (POST) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Sets the Anycast IP addresses and routing configuration for a specified service point, and restarts the routing services.

Attention:
  • The Anycast implementation on Service Point instances only supports OSPF and BGP routing protocols.
  • Service Point instances only support IPv4 Anycast IP addresses.
Request: POST https://<us|eu>.fleet.bluec.at/user/api/v1/servicePoints/{id}/anycast
Authorization: Bearer token
Content-Type: Application/JSON
{
    "ipAddresses": [
        "10.0.0.10",
        "192.168.0.10"
    ],
    "configuration": "FRRouting config"
}

Path parameter

Name Description Type Required/Optional
id The Service Point ID Integer Required
Body parameters
  • ipAddresses—a list of IPv4 addresses to be used for Anycast
  • configuration—the contents of the FRRouting configuration file. For an example of the FRRouting Anycast configuration content, refer to Example FRRouting Anycast configuration.

Successful response

204 No Content
Possible error codes
  • 400 Too many or not enough configuration files
  • 500 Internal Server Error